#!/usr/koeki/bin/ruby
#-*-coding: utf-8-*-

require 'csv'
data = CSV.read("cafe.csv", headers: true)
while true
  puts "サッカー選手のページだよ!"
  puts "何を知りたい?"
  puts "1 サッカー選手"
  puts "2 ポジション"
  puts "0 終了"
  print("番号を選んでね!:")
  input=gets.to_i 
 if input == 0 then
   break
 elsif input == 1 then
    n=0
    data.each{|row|
     printf("%d %sだよ\n",n+=1, row["選手"])}
 elsif input == 2 then
   s=0
    data.each{|row|
      printf("%d %s \n",s+=1,row["選手"])}
      print("どの選手知りたい?(番号で答えてね):")
    num = gets.to_i-1
    if num >= 0 && num < data.length
      printf("%sに近いバス停は、 %sです\n", data[num]["選手"],data[num]["ポジション"])
      print("------------------------------------------------------\n")
    end
    else
   print("0〜2から選んでね\n")
 end
end                
 

